Arvados - Bug #17801

Cannot use $(runtime.outdir) for outputBinding glob

06/10/2021 03:49 PM - Peter Amstutz

Status: Resolved Start date: 06/18/2021
Priority: Normal Due date:

Assigned To: Peter Amstutz % Done: 100%
Category: CWL Estimated time: 0.00 hour
Target version: 2021-06-23 sprint

Description

User reported regression, was using $(runtime.outdir) to capture the output directory, but this no longer works in 2.2.

Subtasks:
Task # 17824: Review 17801-runtime-outdir

Resolved

Associated revisions

Revision d063c8fc - 06/23/2021 02:11 PM - Peter Amstutz
Merge branch '17801-runtime-outdir' refs #17801

Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <peter.amstutz@curii.com>

History

#1 - 06/10/2021 03:49 PM - Peter Amstutz

- Description updated

#2 - 06/14/2021 06:34 PM - Peter Amstutz

- Assigned To set to Peter Amstutz

#3 - 06/18/2021 09:30 PM - Peter Amstutz
17801-runtime-outdir @ 8655bd8d309537ee7bb9c696c909ebffe3501483

Fix bug & add new integration test.

https://ci.arvados.org/view/Developer/job/developer-run-tests/2540/

#4 - 06/18/2021 09:37 PM - Peter Amstutz

- Status changed from New to In Progress

#5 - 06/21/2021 07:32 PM - Michael Crusoe

Peter Amstutz wrote:

User reported regression, was using $(runtime.outdir) to capture the output directory, but this no longer works in 2.2.

Please file tickets requesting new conformance tests for all discovered regressions related to CWL.

Example: https://github.com/common-workflow-language/cwl-v1.2/issues/109

#6 - 06/22/2021 04:00 PM - Nico César

review @ 8655bd8d309537ee7bb9c696c909ebffe3501483 17801-runtime-outdir

The 1-line change and test look good to me.

"

| tried to understand a little more about the case that rest will be ".", it seems that having "/." in the path will cause this to happen and being

innocuous

Ready to merge

#7 - 06/23/2021 02:12 PM - Peter Amstutz
- Status changed from In Progress to Resolved

#8 - 07/07/2021 09:15 PM - Peter Amstutz

- Release set to 39
